> ## Documentation Index
> Fetch the complete documentation index at: https://docs.linkedcamp.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Messages

> Returns all messages in a specific conversation.

## Headers

<ParamField header="token" type="string" required>
  Your LinkedCamp API token.
</ParamField>

## Path Parameters

<ParamField path="conversationId" type="string" required>
  The conversation ID. You can obtain this from the lead data via the [List Leads](/api-reference/leads/list-leads) or [Get Lead](/api-reference/leads/get-lead) endpoints.
</ParamField>

## Response

<ResponseField name="success" type="boolean">
  Whether the request was successful.
</ResponseField>

<ResponseField name="message" type="string">
  A human-readable result message.
</ResponseField>

<RequestExample>
  ```bash cURL theme={null}
  curl -X GET https://api.linkedcamp.com/conversations/60f7a1b2c3d4e5f6a7b8c9d1 \
    -H "token: YOUR_API_TOKEN"
  ```

  ```python Python theme={null}
  import requests

  response = requests.get(
      "https://api.linkedcamp.com/conversations/60f7a1b2c3d4e5f6a7b8c9d1",
      headers={"token": "YOUR_API_TOKEN"},
  )
  print(response.json())
  ```

  ```javascript JavaScript theme={null}
  const response = await fetch(
    "https://api.linkedcamp.com/conversations/60f7a1b2c3d4e5f6a7b8c9d1",
    {
      headers: { "token": "YOUR_API_TOKEN" },
    }
  );
  const data = await response.json();
  console.log(data);
  ```
</RequestExample>

<ResponseExample>
  ```json 200 theme={null}
  {
    "success": true,
    "message": "Messages found successfully!"
  }
  ```

  ```json 400 theme={null}
  {
    "success": false,
    "message": "Conversation id is required!"
  }
  ```
</ResponseExample>
